package com.servicemall.systemcommon.data;

public class ValidCheckException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    public ValidCheckException(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public ValidCheckException(String message) {
        this.message = message;
    }

    private String message;
    private int code;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public String toString() {
        return String.format("ValidCheckException-->code:%s,msg:%s", this.getCode(), this.getMessage());
    }

}
